Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Interface ExceptionInfo

All Known Implementing Classes:
  ArgumentException, CallbackException, EntityExistsException, EntityNotFoundException, GeneralException, InternalException, InvalidStateException, InvalidStateException, LockException, LockTimeoutException, MetaDataException, NonUniqueResultException, NonUniqueResultException, NoResultException, NoResultException, NoTransactionException, ObjectExistsException, ObjectNotFoundException, OpenJPAException, OptimisticException, OptimisticLockException, PersistenceException, PessimisticLockException, QueryException, QueryTimeoutException, ReferentialIntegrityException, RollbackException, StoreException, TransactionRequiredException, UnsupportedException, UserException, ValidationException, ValidationUnavailableException, WrappedException

    public interface ExceptionInfo

Interface supplying additional exception information. All OpenJPA exceptions implement this interface.

Since:
  0.4.0
Author:
  Abe White

Field Summary
`static int` | `GENERAL`
`static int` | `INTERNAL`
`static int` | `STORE`
`static int` | `UNAVAILABLE`
`static int` | `UNSUPPORTED`
`static int` | `USER`
`static int` | `WRAPPED`

Method Summary
`Throwable` | `getCause()` Returns the first `Throwable` from `getNestedThrowables()` in order to conform to `Throwable.getCause()` in Java 1.4+.
`Object` | `getFailedObject()` The failed object.
`String` | `getMessage()` Exception message.
`Throwable[]` | `getNestedThrowables()` The nested throwables.
`int` | `getSubtype()` Exception subtype.
`int` | `getType()` Exception type.
`boolean` | `isFatal()` Whether this error is fatal.
`void` | `printStackTrace()` Stack.

Field Detail

### GENERAL

    static final int GENERAL

See Also:
  Constant Field Values

### INTERNAL

    static final int INTERNAL

See Also:
  Constant Field Values

### STORE

    static final int STORE

See Also:
  Constant Field Values

### UNSUPPORTED

    static final int UNSUPPORTED

See Also:
  Constant Field Values

### USER

    static final int USER

See Also:
  Constant Field Values

### WRAPPED

    static final int WRAPPED

See Also:
  Constant Field Values

### UNAVAILABLE

    static final int UNAVAILABLE

See Also:
  Constant Field Values

Method Detail

### getMessage

    String getMessage()

  Exception message.

  See Also:
    `Throwable.getMessage()`

### getCause

    Throwable getCause()

  Returns the first `Throwable` from `getNestedThrowables()` in order to conform to `Throwable.getCause()` in Java 1.4+.

  See Also:
    `Throwable.getCause()`

### printStackTrace

    void printStackTrace()

  Stack.

  See Also:
    `Throwable.printStackTrace()`

### getType

    int getType()

  Exception type.

### getSubtype

    int getSubtype()

  Exception subtype.

### isFatal

    boolean isFatal()

  Whether this error is fatal.

### getNestedThrowables

    Throwable[] getNestedThrowables()

  The nested throwables.

### getFailedObject

    Object getFailedObject()

  The failed object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.